Package org.eclipse.net4j.util.concurrent

# Class AsynchronousWorkSerializer

java.lang.Object
org.eclipse.net4j.util.concurrent.AsynchronousWorkSerializer

All Implemented Interfaces:
  `Runnable`, `IExecutorServiceProvider`, `IWorkSerializer`

@Deprecated public class AsynchronousWorkSerializer extends Object implements IWorkSerializer, IExecutorServiceProvider, Runnable
Deprecated.
As of 3.6 use `ExecutorWorkSerializer`.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`AsynchronousWorkSerializer(ExecutorService executorService)`
Deprecated.
`AsynchronousWorkSerializer(ExecutorService executorService, Queue<Runnable> workQueue)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addWork(Runnable work)`
Deprecated.
`void`
`dispose()`
Deprecated.
`ExecutorService`
`getExecutorService()`
Deprecated.
`void`
`run()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AsynchronousWorkSerializer

@Deprecated public AsynchronousWorkSerializer(ExecutorService executorService, Queue<Runnable> workQueue)
Deprecated.

### AsynchronousWorkSerializer

@Deprecated public AsynchronousWorkSerializer(ExecutorService executorService)
Deprecated.

## Method Details

### getExecutorService

@Deprecated public ExecutorService getExecutorService()
Deprecated.

Specified by:
  `getExecutorService` in interface `IExecutorServiceProvider`

### addWork

@Deprecated public boolean addWork(Runnable work)
Deprecated.

Specified by:
  `addWork` in interface `IWorkSerializer`

### run

@Deprecated public void run()
Deprecated.
Executed in the context of the `executor service`.

Specified by:
  `run` in interface `Runnable`

### dispose

@Deprecated public void dispose()
Deprecated.

Specified by:
  `dispose` in interface `IWorkSerializer`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`